Subject: Re: [PATCH v9 0/6] notes.c: introduce "--separator" option

From: Junio C Hamano <[email-masked]>
Date: Mon, 01 May 2023 15:29:24 -0700

Teng Long <[email-masked]> writes:

> From: Teng Long <[email-masked]>
>
> Diff since v8:
>
> 1. test case: Uniform indent format, as recommended by Junio C Hamano.
>
> 2. [4/6] make the static var "separator" initialized as "\n", simplify
>    the code in "insert_separator(...)".
>
> 3. [4/6] I don't change the other parts about the "struct note_msg", the
>    stripspace way (Junio suggest to consider about the stripspace each messge
>    individually, but I found it will break the compatibility about "-C",
>    which can be found the case of 'reuse with "-C" and add note with "-m",
>    "-m" will stripspace all together').
> 4. [5/6] Optimized the commit message and replace "strbuf_insert*(...)" with
>    "strbuf_add*(...)".
>
> 5. [6/6] As Junio replied, I'm not sure whether the "-C" problem (When the
>    "-C" argument is used with "-m/-F", the order of "-C" in the options will
>    affect the result of stripspace differently,) is need to be fixed or keep
>    as is, I choose to do not break the old behaviour (In fact, I hope to fix
>    this issue in another patch, if at all, and let this long-tailed patchset
>    to mature faster, maybe).

I am inclined to say that we should declare victory and merge this
down to 'next' soonish, unless somebody spots a big hole in the
logic, or finds a nicer way to "solve" the "-C problem" (to which I
suspect there is no clean solution, as the original behaviour is
more or less inconsistent---that is probably because the feature was
designed assuming that nobody will combine -C with other options).

Thanks.